/* DSmeister software
 * Sensor interface
 *
 * Created: 2015/09/06
 *  Author: Yaasan
 */ 

#ifndef MSENSOR_H
#define MSENSOR_H

#include <Arduino.h>

class MSensor
{
  private:
	
	unsigned char gSensor_Voltage;		/**< 1V unit(0V to 255V)   */
	unsigned char gSensor_Current;		/**< 0.1A unit(0.0A to 25.5A)   */
	int pinCurrent;
	int pinVoltage;

	
  public:
	MSensor(int inPin_current, int inPin_voltage);
	
	void Update();
	unsigned char GetCurrent();
	unsigned char GetVoltage();

};

#endif
